Package org.eclipse.gef.mvc.fx.ui.parts

# Class FXEditorActionBarContributor

java.lang.Object
org.eclipse.ui.part.EditorActionBarContributor
org.eclipse.gef.mvc.fx.ui.parts.FXEditorActionBarContributor

All Implemented Interfaces:
  `IEditorActionBarContributor`

public class FXEditorActionBarContributor extends EditorActionBarContributor

## Constructor Summary

Constructors
Constructor
Description
`FXEditorActionBarContributor()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`registerUndoRedoActions(IEditorPart targetEditor)`
Registers undo and redo action handlers for the given target editor.
`void`
`setActiveEditor(IEditorPart activeEditor)`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToMenu, contributeToStatusLine, contributeToToolBar, dispose, getActionBars, getPage, init, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FXEditorActionBarContributor

public FXEditorActionBarContributor()

## Method Details

### registerUndoRedoActions

protected void registerUndoRedoActions(IEditorPart targetEditor)
Registers undo and redo action handlers for the given target editor. The target editor is adapted for an `UndoRedoActionGroup`, which is used to fill the action bars.

Parameters:
  `targetEditor` - The editor to register undo and redo action handlers for.

### setActiveEditor

public void setActiveEditor(IEditorPart activeEditor)

Specified by:
  `setActiveEditor` in interface `IEditorActionBarContributor`
Overrides:
  `setActiveEditor` in class `EditorActionBarContributor`